Skip to content

Remove Governance Lock (Bucket)

DELETE
/api/v1/storage/buckets/{bucket_name}/lock/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/lock/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

This API allows users to remove governance lock from a bucket.

bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved the retention policy for the bucket.

Media typeapplication/json
object
code
integer
data
object
bucket
integer
mode
string
Allowed values: GOVERNANCE
retention_period
integer
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string

Example

{
"code": 200,
"data": {
"bucket": 12345,
"mode": "GOVERNANCE",
"retention_period": 5,
"created_at": "2025-05-27T13:50:12.651315Z",
"updated_at": "2025-05-27T13:50:22.881128Z"
},
"errors": {},
"message": "Success"
}

No retention policy exists for the specified bucket.

Media typeapplication/json
object
code
integer
data
object
errors
string
message
string

Example

{
"code": 412,
"data": {},
"errors": "No locking policy defined for this bucket.",
"message": "Precondition Failed"
}